dht::Value::SerializableBase Class Referenceabstract
Inheritance diagram for dht::Value::SerializableBase:
[legend]

## Public Member Functions

virtual const ValueType & | getType () const =0
virtual void | unpackValue (const Value &v)=0
virtual Value | packValue () const =0

## Detailed Description

Definition at line 253 of file value.h.

## Constructor & Destructor Documentation

## SerializableBase()

dht::Value::SerializableBase::SerializableBase | ( |  | ) |

inline

Definition at line 256 of file value.h.

## ~SerializableBase()

virtual dht::Value::SerializableBase::~SerializableBase | ( |  | ) |

inline virtual

Definition at line 257 of file value.h.

The documentation for this class was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/value.h